Quantcast

Failed to find openrave0.8-dp-ikfast

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Failed to find openrave0.8-dp-ikfast

gutq
This post was updated on .
Dear all, I'm stuck at the very beginning when I tried to use openrave to generate myrobot info which can be used in ikfast. I use Ubuntu 14.04 trusty and tried to use ikfast in Moveit. I followed the tutorials of Moveit_ikfast whose website is listed below. http://docs.ros.org/indigo/api/moveit_ikfast/html/doc/ikfast_tutorial.html when I typed the command 'sudo apt-get install openrave0.8-dp-ikfast', the terminal couldn't find this software package. This means I couldn't even install openrave. I wonder why . Hope anyone's help and thanks for your help.
Dim
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Failed to find openrave0.8-dp-ikfast

Dim
This post has NOT been accepted by the mailing list yet.
Hi all,

I am facing the same issue; is there a known solution to this? Shall I build and install openrave from source as a workaround?

Cheers,
Dim

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Failed to find openrave0.8-dp-ikfast

kmohan
This post was updated on .
In reply to this post by gutq
Hi gutq

I know this is quite old, but for anyone still looking for this, here goes...

That is the step where you install OpenRAVE. I too have been trying to generate IKFast for my robot for the past three days and I finally figured out a way to do so. Just follow scaron's installation instructions. They worked well. Follow the content in the below two websites.

https://scaron.info/teaching/installing-openrave-on-ubuntu-14.04.html
https://scaron.info/teaching/troubleshooting-openrave-on-ubuntu-14.04.html

The important thing to note here is that his method gives some errors for the --latest stable branch of OpenRAVE. It is hence, important to follow the instructions in the commit ID he has mentioned - 5cfc744410adfee464a35d19964f525efb819552.

I am not sure if this method works for other commits, but it definitely worked for this particular commit.

Follow his instructions from scratch and
Once you reach this command and clone the repo, ...
git clone --branch latest_stable https://github.com/rdiankov/openrave.git

... enter this command to checkout the particular commit mentioned in scaron's instructions.
git checkout 5cfc744410adfee464a35d19964f525efb819552
and then continue following his instructions.

Also, make sure that you're using either sympy version 0.7.0 or 0.7.1. You can check your version using
pip list | grep sympy

If your version is newer or older, use the following command to install the correct sympy version
sudo pip install sympy==0.7.1

Obviously, the commit ID 5cfc744410adfee464a35d19964f525efb819552 is quite old and we will be installing an older version of OpenRAVE. However, I needed OpenRAVE only for generating IKFast and so, I did not bother too much with installing the latest version.

Hope this helps.
Loading...